SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='TRADITIONAL,ALLOW_INVALID_DATES';

-- -----------------------------------------------------
-- Schema Raven
-- -----------------------------------------------------
DROP SCHEMA IF EXISTS `Raven` ;
CREATE SCHEMA IF NOT EXISTS `Raven` DEFAULT CHARACTER SET utf8 ;
USE `Raven` ;

-- -----------------------------------------------------
-- Table `Raven`.`User`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Raven`.`User` ;

CREATE TABLE IF NOT EXISTS `Raven`.`User` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `date` TIMESTAMP NOT NULL,
  `username` VARCHAR(255) NOT NULL,
  `staticPublicKey` VARCHAR(255) NOT NULL,
  `ephemeralPublicKey` VARCHAR(255) NOT NULL,
  `signingPublicKey` VARCHAR(255) NOT NULL,
  `friendshipAddress` VARCHAR(255) NOT NULL DEFAULT '',
  `publicProfile` INT NOT NULL,
  `privateData` LONGTEXT NOT NULL,
  `removeToken` VARCHAR(255) NOT NULL DEFAULT '',
  `salt` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE INDEX `USERNAME_UNIQUE` (`username` ASC))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Raven`.`Profile`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Raven`.`Profile` ;

CREATE TABLE IF NOT EXISTS `Raven`.`Profile` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `date` TIMESTAMP NOT NULL,
  `privateData` LONGTEXT NOT NULL,
  `removeToken` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Raven`.`Message`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Raven`.`Message` ;

CREATE TABLE IF NOT EXISTS `Raven`.`Message` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `address` VARCHAR(255) NOT NULL,
  `date` TIMESTAMP NOT NULL,
  `privateData` LONGTEXT NOT NULL,
  `removeToken` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`, `address`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Raven`.`Group`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Raven`.`Group` ;

CREATE TABLE IF NOT EXISTS `Raven`.`Group` (
  `id` INT NOT NULL AUTO_INCREMENT,
  `date` TIMESTAMP NOT NULL,
  `signingPublicKey` VARCHAR(255) NOT NULL,
  `privateData` LONGTEXT NOT NULL,
  `adminData` LONGTEXT NOT NULL,
  `removeToken` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`))
ENGINE = InnoDB;


-- -----------------------------------------------------
-- Table `Raven`.`WoT`
-- -----------------------------------------------------
DROP TABLE IF EXISTS `Raven`.`WoT` ;

CREATE TABLE IF NOT EXISTS `Raven`.`WoT` (
  `member` VARCHAR(255) NOT NULL,
  `group` VARCHAR(255) NOT NULL,
  `editToken` VARCHAR(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`member`))
ENGINE = InnoDB;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
USE `Raven`;

DELIMITER $$


DELIMITER ;
